WorldFirst DocsWorldFirst Docs

Query card detailSignature required

POST /amsin/api/v2/business/worldcard/queryCardDetail

You are viewing the latest API version. If you are using V1, please refer to the legacy documentation.


Partners can call this API to query the details of a specific World Card.

Structure

A message consists of a header and body. For details, see the following sections.

Request header

Field

Required

Sample

Description

Client-Id

Yes

Client-Id: *****

Signature

Yes

Signature: algorithm=RSA256, keyVersion=2, signature=*****

Content-Type

Yes

Content-Type: application/json; charset=UTF-8

Request-Time

Yes

Request-Time: 2019-04-04T12:08:56+08:00

Connected-AccountId

Conditional

Connected-AccountId: *****

Attention

Required when a partner manages a customer's account.

Access-Token

Conditional

Access-Token: ******

Attention

Required for OAUTH authorization. Refer to applyToken.

Request parameters

assetId String  REQUIRED

The unique identifier of a card.

Response parameters

result Result  REQUIRED

The result of the API call.

Show child parameters

assetId String  REQUIRED

The unique identifier of a card.

accountId String  REQUIRED

The unique ID assigned by WorldFirst to identify a customer account.

More information:

  • Maximum length: 64 characters

cardNickName String  

The nickname of the WorldCard. This parameter is useful for managing multiple cards.

More information:

  • Maximum length: 120 characters

maskedCardNo String  REQUIRED

Masked card number.

cardBrand String  REQUIRED

Card scheme. Valid value is: MASTERCARD.

cardStatus String  REQUIRED

The card status. Valid values are: ACTIVE, FROZEN, CANCEL.

createdTime String  REQUIRED

The time when the card is created.

note String  

Note regarding this card activation request.

More information:

  • Maximum length: 512 characters

authorizationControl Object  REQUIRED

Authorization Control Rules.

Show child parameters

metadata Object  

Business Metadata.

mediaType String  REQUIRED

Card Type.

email String  REQUIRED

Email address of the cardholder.

More information:

  • Maximum length: 32 characters

mobileNumber String  REQUIRED

Mobile number of the cardholder.

For example: ​+6512345678​ (where ​+65​ is the Singapore country code).

More information:

  • Maximum length: 32 characters

cardholderInfo Object  REQUIRED

The information of the card holder.

Show child parameters

billAddress Object  REQUIRED

The billing address.

This field is returned only when the value of result.resultStatus is S.

Show child parameters
API Explorer

Request

URL
Request Body

Response

Response Body

Result processing logic

After calling the API, a response is returned. Possible values for result.resultStatus are:

Result status

Description

S

Indicates that the API call succeeded.

F

Indicates that the API call failed. For additional information on the failure, refer to result.resultCode.

U

Indicates that the API call result is unknown. If this status is returned, the Partner may make a query. The querying strategy is as follows:

  • Maximum 7 queries are allowed. 
  • Intervals between queries: 5 min, 10 min, 20 min, 40 min, 80 min, 160 min, and 320 min.

If no queries succeed, contact our Technical Support Team.

System-related Result Codes

CodeValueMessageFurther action
SUCCESSSSuccess
PARAM_ILLEGALFIllegal parameters exist. For example, a non-numeric input, or an invalid date.

Refer to the API documentation page to confirm whether the request header and parameters are correct.

SYSTEM_ERRORFSystem error.

Do not retry. Contact WorldFirst Technical Support for more information.

SERVICE_NOT_ALLOWEDFService not allowed.

Retry with correct information. If the issue persists, contact WorldFirst Technical Support.

UNKNOWN_EXCEPTIONUAPI failed due to unknown reason.

Server error. If retrying later does not resolve the issue, contact WorldFirst Technical Support.

REQUEST_TRAFFIC_EXCEED_LIMITUThe request traffic exceeds the limit.

Retry. If the issue persists, contact WorldFirst Technical Support.

OAUTH_FAILFOAuth process failed.

Contact WorldFirst Technical Support for more information.

INVALID_APIFThe called API is invalid or not active.

Confirm whether the correct API is called.

INVALID_CLIENTFThe client is invalid.

The Client ID does not exist or is invalid.

INVALID_SIGNATUREFThe signature is invalid.

Confirm that the request is correctly signed.

METHOD_NOT_SUPPORTEDFThe server does not implement the requested HTTP method.

Confirm that the HTTP request method is POST.

CONTRACT_CHECK_FAILFThe contract check has failed.

Contact WorldFirst Technical Support to check the contract status and retry.

Business-related Result Codes

CodeValueMessageFurther action
CONTRACT_NOT_EXISTFThe contract check has failed.

Ensure the Partner has already signed a contract and the input is correct.

USER_NOT_EXISTFThe user does not exist.

Retry with the correct user information.

ASSET_NOT_EXISTFasset not exit

Check asset ID and retry.

ACCESS_TOKEN_EXPIREDFThe access token expired.

Refresh the token to get a new access token or contact our Technical Support Team to address it.

AUTHORIZATION_NOT_EXISTFThe authorization does not exist.

Make sure that the input is correct. If the issue persists, contact our Technical Support Team to verify the authorization status.